function combineData(rootMeta, rootDeep)
clear deep;
clear meta;
rootDeep = char(rootDeep);
rootMeta = char(rootMeta);
load(rootDeep);
load(rootMeta);
meta = meta';

split = strsplit(rootMeta, '/');
folder = char(split(end));
[startIdx,endIdx] = regexp(folder,'_with_tagBits_gps.mat');
metaName = [folder(1:startIdx-1), folder(endIdx+1:end)];
outFileName = ['/dist_vision_scratch/InstagramFood/meta_with_tagBits_GPS_Deep/',folder(1:end-4),'_deep_meta.mat'];

%% Get the image names out of the URLs from the hash file.
% Later we will match these with the image names recorded form the jpeg files.
allurl={meta.url}; 
allDeepNames=deep.name; %allImgNames = allDeepNames
allMetaNames = cell(numel(allurl),1); %allHashNames = allMetaNames
for i = 1 : numel(allurl)
    s=regexp(char(allurl{i}), '/', 'split');
    allMetaNames{i} = s{end};
end

%% Check they match!
all=intersect(allDeepNames,allMetaNames);
numel(all), numel(allDeepNames), numel(allMetaNames)

%% For each unique image name (starting from image files), find the corresponding hash file.

nSkip = 0;
load('/dist_vision_scratch/InstagramFood/vgg/classes.mat');

for i = 1: numel(allMetaNames)
    matchIdx = find(strcmp(allMetaNames{i}, allDeepNames));
    if(numel(matchIdx) ~= 1), nSkip = nSkip + 1; 
        continue; 
    end
    meta(i).deep_X = deep.X(matchIdx,:);
    meta(i).deep_X_end = deep.X_end(matchIdx,:);
    scores = squeeze(gather(meta(i).deep_X_end));
    [bestScore, bestCat] = max(scores);
    meta(i).bestScore = bestScore;
    meta(i).bestCatID = bestCat;
    meta(i).bestCat = classes{bestCat};
    splits = strsplit(meta(i).url, '/');
    meta(i).filename = strcat('/import/geb-datasets/InstagramFood/images/',metaName,'/',char(splits(end)));
end
nSkip

%% Mark as good metadata only those that were unambiguous.

for i = 1 : numel(allMetaNames)
    if(isempty(meta(i).deep_X))
        meta(i).goodImg = false;
        fprintf('%s %d is empty\n', folder, i);
    else
        meta(i).goodImg = true;
    end
end

%% 
save(outFileName,'meta','-v7.3')

