#install.packages('sp')
#install.packages('maps')
#install.packages('rgeos')
#install.packages('maptools')
#install.packages('rworldmap')
#install.packages('rworldxtra')
#install.packages('geonames')
#install.packages("mapdata")
library(sp)
library(maps)
library(rgeos)
library(maptools)
library(rworldmap)
library(rworldxtra)
library(geonames)
library(mapdata)    # Contains the hi-resolution points that mark out the countries.

citation(package = "rworldxtra", lib.loc = NULL, auto = NULL)
readCitationFile(file, meta = NULL)

setwd("/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv");

coords2country = function(points) {
  countriesSP <- getMap(resolution = 'high')
  pointsSP = SpatialPoints(points, proj4string=CRS(" +proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs +towgs84=0,0,0"))
  indices = over(pointsSP, countriesSP)
}

files <- c('/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/October2014_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/October2014_week4_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week1_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week2_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week3_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week4_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/December_week1_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/Mar2015week3_gps.csv',
           '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/Mar2015week4_gps.csv');

rownames_files = c('/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/October2014_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/October2014_week4_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week1_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week2_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week3_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week4_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/December_week1_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/Mar2015week3_rownames.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/Mar2015week4_rownames.csv');

countries_files = c('/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/October2014_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/October2014_week4_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week1_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week2_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week3_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/November2014_week4_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/December_week1_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/Mar2015week3_countries.csv',
                   '/Users/Jackie/Dropbox/QMUL_Final_Project/ReverseGeocoding/gpscsv/Mar2015week4_countries.csv');

for (i in seq(from=1,to=9,by=1)) {
    file <- files[i]
    week <- read.csv(file, header = FALSE, blank.lines.skip = FALSE)
    week_omit = na.omit(week)
    points = data.frame(lon = c(week_omit$V2), lat = c(week_omit$V1))
    week_gps = coords2country(points)
    rownames = c(as.numeric(row.names(week_omit)))
    write.csv(rownames, file = rownames_files[i])
    gps = data.frame(as.factor(week_gps[,29]), as.factor(week_gps[,37]))
    continent <- c(sub('South America and the Caribbean', 'Central America and the Caribbean', gps[,2]))
    toMatch <- c('AR', 'BO', 'BR', 'CL', 'CO', 'EC', 'FK', 'GF', 'GY', 'PE', 'PY', 'SR', 'UY', 'VE')
    matches <- c(grep(paste(toMatch,collapse="|"), gps[,1], value=FALSE))
    continent[matches] <- 'South America'
    continent <- as.data.frame(continent)
    country <- gps[,1]
    country <- as.data.frame(country)
    gps_to_write <- data.frame(country, continent)
    write.csv(gps_to_write, file = countries_files[i])
}

allpoints = rbind(points1,points2,points3,points4,points5,points6, points7,points8,points9)
#newmap <- getMap(resolution = "low")
newmap <- getMap(resolution = "high")
map <- plot(newmap, asp = 1)
points(allpoints, col = "red", cex = 0.03)
