function [score] = find_best_c_crossval(Xtr, Xte, Ytr, Yte)

bestcv = 0;

% Check for c values from 10^-5 to 10^5;
for n = -17:17
    
    c = 2^n;
    cmd = ['-v 10 -t 0 -c ',num2str(c)];
    cv=libsvmtrain(Ytr,Xtr,cmd);      %Train linear SVM.

    if(cv >= bestcv)
        bestcv = cv;
        bestc = c;
    end
    fprintf('c: %g, %g\n', bestc, bestcv);
end

    disp('Classify test dataset');
    cmd = ['-t 0 -c ',num2str(bestc)];
    bestcv=libsvmtrain(Ytr,Xtr,cmd);      %Train linear SVM
    [pred,acc,score]=svmpredict(Yte,Xte,bestcv);          %Test SVM

    fprintf(1,'Test accuracy: %2.2f\n', acc(1));
    conf = confusionmat(Yte,pred);      %Confusion matrix
    normConfAcc = 100*((conf(1,1)/sum(conf(1,:))+ conf(2,2)/sum(conf(2,:)))/2);
    fprintf(1, 'Normalized Confusion Matrix Accuracy: %2.2f\n', normConfAcc);

%{
    bestAccTrain = 0;
bestAccTest=0;
    
    clear resultTable;

    %fprintf('Classify train dataset\n');
    [pred,acc,score]=svmpredict(Ytr,Xtr,model);          %Test SVM
   
    %fprintf('Classify test dataset\n');
    [pred,acc,score]=svmpredict(Yte,Xte,model);          %Test SVM
    
   
    %{
    for k = 1:2020    
        if bestAccTrain < acc(1)
           bestAccTrain = acc(1); 
           bestCTrain = c
        end
        
    if bestAccTest < acc(1)
       bestAccTest = acc(1); 
       bestCTest = c;
    end
    %}
end

[sortedAcc,sortedAccIdx] = sort(resultTable(:,4),'descend');
[sortedAccConf,sortedAccConfIdx] = sort(resultTable(:,5),'descend');

fprintf(1,'Best accuracy on test Data: %2.2f \nBest c parameter: %d\n',sortedAcc(1),resultTable(sortedAccIdx(1),1));
%fprintf(1,'Corresponding confusion matrix accuracy: %2.2f\n',resultTable(sortedAccIdx(1),5));

fprintf(1,'Best confusion matrix test accuracy : %2.2f \nBest c parameter: %d\n',sortedAccConf(1),resultTable(sortedAccConfIdx(1),1));
%fprintf(1,'Corresponding test accuracy: %2.2f\n',sortedAcc(1),resultTable(sortedAccIdx(1),1));

    conf = confusionmat(Ytr,pred);                   %Confusion matrix
    conf = confusionmat(Yte,pred);                   %Confusion matrix

  %resultTable(18+n,1) = c;
    %resultTable(18+n,2) = acc(1);
    %resultTable(18+n,3) = 100*((conf(1,1)/sum(conf(1,:))+ conf(2,2)/sum(conf(2,:)))/2);
    
     %resultTable(18+n,4) = acc(1);
    %resultTable(18+n,5) = 100*((conf(1,1)/sum(conf(1,:))+ conf(2,2)/sum(conf(2,:)))/2);
%}

    