function [score] = find_best_c_testacc(Xtr, Xte, Ytr, Yte)
% Find the best -c based on test accuracy

bestAccTrain = 0;
bestCTrain = 0;
bestAccTest=0;
bestCTest=0;

clear resultTable;

% Check for c values from 10^-5 to 10^5;
for n = -17:17
    
    c = 2^n; %-t 0
    cmd = ['-c ',num2str(c)];
    model=libsvmtrain(Ytr,Xtr,cmd);      %Train linear SVM.

    %fprintf('Classify train dataset\n');
    [pred,acc,score]=svmpredict(Ytr,Xtr,model);          %Test SVM
    conf = confusionmat(Ytr,pred);                   %Confusion matrix
    
    resultTable(18+n,1) = c;
    resultTable(18+n,2) = acc(1);
    resultTable(18+n,3) = 100*((conf(1,1)/sum(conf(1,:))+ conf(2,2)/sum(conf(2,:)))/2);
    
    %fprintf('Classify test dataset\n');
    [pred,acc,score]=svmpredict(Yte,Xte,model);          %Test SVM
    conf = confusionmat(Yte,pred);                   %Confusion matrix
    
    resultTable(18+n,4) = acc(1);
    resultTable(18+n,5) = 100*((conf(1,1)/sum(conf(1,:))+ conf(2,2)/sum(conf(2,:)))/2);
end

[sortedAcc,sortedAccIdx] = sort(resultTable(:,4),'descend');
[sortedAccConf,sortedAccConfIdx] = sort(resultTable(:,5),'descend');

fprintf(1,'Best accuracy on test Data: %2.2f \tBest c parameter: %d\n',sortedAcc(1),resultTable(sortedAccIdx(1),1));
fprintf(1,'Corresponding confusion matrix accuracy: %2.2f\n\n',resultTable(sortedAccIdx(1),5));

fprintf(1,'Best confusion matrix test accuracy : %2.2f \tBest c parameter: %d\n',sortedAccConf(1),resultTable(sortedAccConfIdx(1),1));
fprintf(1,'Corresponding test accuracy: %2.2f\n\n',resultTable(sortedAccConfIdx(1),4));
