function getAddressMeta(root, folder)

rowsExtract = csvread([root,folder,'_rownames.csv'],1,1);
countries = readtable([root,folder,'_countries.csv']);
gps = readtable([root,folder,'_gps.csv']);

na_count = 0;
for i = 1:height(countries)
    if (strcmp(countries.continent(i),'NA'))
        na_count = na_count + 1;
    end
end
[folder, ' start - ', num2str(na_count)]

for e = 1:height(countries)
    if(strcmp(countries.continent(e),'NA'))
        lat = gps.x(rowsExtract(e));
        long = gps.y(rowsExtract(e));
        str = {'AD','Europe';'AE','Asia';'AF','Asia';'AG','Central America and the Caribbean';'AI','Central America and the Caribbean';'AL','Europe';'AM','Asia';'AN','Central America and the Caribbean';'AO','Africa';'AQ','Antarctica';'AR','South America';'AS','Australia';'AT','Europe';'AU','Australia';'AW','Central America and the Caribbean';'AZ','Asia';'BA','Europe';'BB','Central America and the Caribbean';'BD','Asia';'BE','Europe';'BF','Africa';'BG','Europe';'BH','Asia';'BI','Africa';'BJ','Africa';'BM','Central America and the Caribbean';'BN','Asia';'BO','South America';'BR','South America';'BS','Central America and the Caribbean';'BT','Asia';'BW','Africa';'BY','Europe';'BZ','Central America and the Caribbean';'CA','North America';'CC','Asia';'CD','Africa';'CF','Africa';'CG','Africa';'CH','Europe';'CI','Africa';'CK','Australia';'CL','South America';'CM','Africa';'CN','Asia';'CO','South America';'CR','Central America and the Caribbean';'CU','Central America and the Caribbean';'CV','Africa';'CX','Asia';'CY','Asia';'CZ','Europe';'DE','Europe';'DJ','Africa';'DK','Europe';'DM','Central America and the Caribbean';'DO','Central America and the Caribbean';'DZ','Africa';'EC','South America';'EE','Europe';'EG','Africa';'EH','Africa';'ER','Africa';'ES','Europe';'ET','Africa';'FI','Europe';'FJ','Australia';'FK','South America';'FM','Australia';'FO','Europe';'FR','Europe';'GA','Africa';'GB','Europe';'GD','Central America and the Caribbean';'GE','Asia';'GF','South America';'GG','Europe';'GH','Africa';'GI','Europe';'GL','Europe';'GM','Africa';'GN','Africa';'GP','Central America and the Caribbean';'GQ','Africa';'GR','Europe';'GS','Antarctica';'GT','South America';'GU','Australia';'GW','Africa';'GY','South America';'HK','Asia';'HN','Central America and the Caribbean';'HR','Europe';'HT','Central America and the Caribbean';'HU','Europe';'ID','Asia';'IE','Europe';'IL','Asia';'IM','Europe';'IN','Asia';'IO','Asia';'IQ','Asia';'IR','Asia';'IS','Europe';'IT','Europe';'JE','Europe';'JM','Central America and the Caribbean';'JO','Asia';'JP','Asia';'KE','Africa';'KG','Asia';'KH','Asia';'KI','Australia';'KM','Africa';'KN','Central America and the Caribbean';'KP','Asia';'KR','Asia';'KW','Asia';'KY','Central America and the Caribbean';'KZ','Asia';'LA','Asia';'LB','Asia';'LC','Central America and the Caribbean';'LI','Europe';'LK','Asia';'LR','Africa';'LS','Africa';'LT','Europe';'LU','Europe';'LV','Europe';'LY','Africa';'MA','Africa';'MC','Europe';'MD','Europe';'ME','Europe';'MG','Africa';'MH','Australia';'MK','Europe';'ML','Africa';'MM','Asia';'MN','Asia';'MO','Asia';'MP','Australia';'MQ','Central America and the Caribbean';'MR','Africa';'MS','Central America and the Caribbean';'MT','Europe';'MU','Africa';'MV','Asia';'MW','Africa';'MX','Central America and the Caribbean';'MY','Asia';'MZ','Africa';'NA','Africa';'NC','Australia';'NE','Africa';'NF','Australia';'NG','Africa';'NI','Central America and the Caribbean';'NL','Europe';'NO','Europe';'NP','Asia';'NR','Australia';'NU','Australia';'NZ','Australia';'OM','Asia';'PA','Central America and the Caribbean';'PE','South America';'PF','Australia';'PG','Australia';'PH','Asia';'PK','Asia';'PL','Europe';'PM','Central America and the Caribbean';'PN','Australia';'PR','Central America and the Caribbean';'PS','Asia';'PT','Europe';'PW','Australia';'PY','South America';'QA','Asia';'RE','Africa';'RO','Europe';'RS','Europe';'RU','Europe';'RW','Africa';'SA','Asia';'SB','Australia';'SC','Africa';'SD','Africa';'SE','Europe';'SG','Asia';'SH','Africa';'SI','Europe';'SJ','Europe';'SK','Europe';'SL','Africa';'SM','Europe';'SN','Africa';'SO','Africa';'SR','South America';'ST','Africa';'SV','Central America and the Caribbean';'SY','Asia';'SZ','Africa';'TC','Central America and the Caribbean';'TD','Africa';'TF','Antarctica';'TG','Africa';'TH','Asia';'TJ','Asia';'TK','Australia';'TM','Asia';'TN','Africa';'TO','Australia';'TR','Asia';'TT','Central America and the Caribbean';'TV','Australia';'TW','Asia';'TZ','Africa';'UA','Europe';'UG','Africa';'US','North America';'UY','South America';'UZ','Asia';};
        str2 = {'VC','Central America and the Caribbean';'VE','South America';'VG','Central America and the Caribbean';'VI','Central America and the Caribbean';'VN','Asia';'VU','Australia';'WF','Australia';'WS','Australia';'YE','Asia';'YT','Africa';'ZA','Africa';'ZM','Africa';'ZW','Africa'};
        str = vertcat(str, str2);
        API_KEY = 'AIzaSyBAUuDFVKw_daY7BKBWPH06X_WrcE8Sqb8';
        url = horzcat('https://maps.googleapis.com/maps/api/geocode/xml?latlng=', num2str(lat), ',', num2str(long), '&sensor=true','&key=',API_KEY);
        queryResult = urlread(url);
        exp = '\<[A-Z]{2}\></short_name>';
        clear startIndex;
        startIndex = regexp(queryResult, exp);
        if (numel(startIndex) > 4)
            countryName = queryResult(startIndex(2):startIndex(2)+1);
            continent = char(str(find(strcmp(countryName, str)), 2));
            address(e).country = countryName;
            address(e).continent = continent;
        end
    else
        address(e).country = countries.country(e);
        address(e).continent = countries.continent(e);
    end
end

add_na_count = 0;
for i = 1:length(address)
    if (isempty(address(i).continent))
        add_na_count = add_na_count + 1;
    end
end
[folder, ' end - ', num2str(add_na_count)]

save([root,folder,'_','address'], 'address');

