function getTagBitsMeta(root, metaName)

%Convert the tag datastructure format
%For each post, convert cellarray of text tags to a list of tag IDs, and a binary indicator matrix.
load('/dist_vision_scratch/InstagramFood/tagDicts/tagDict.mat');
outFile = '/dist_vision_scratch/InstagramFood/meta_with_tagBits/';

ctr = 1;
load([root,metaName,'.mat']);
num_entries = length(meta);
fprintf(1,'Processing meta: %s\n', metaName);
for e = 1 : num_entries
    fprintf(1,'Processing: %d/%d\n', e,num_entries);
    meta(e).tagIdx = ismember(tagDict, meta(e).tags);   %Convert text list per image to a list of numeric IDs.
    meta(e).tagBits = false(1,numel(tagDict));
    meta(e).tagBits(meta(e).tagIdx) = true;             %List of numeric IDs to a binary vector per image.
    sort(meta(e).tags);                                 
    sort(tagDict(meta(e).tagIdx));                      %Verify no errors.
    tagBits(e, 1:numel(tagDict)) = meta(e).tagBits;     % Create a binary indicator matrix for each tag from the meta.tagBits
end

save([outFile,metaName,'_with_tagBits.mat'],'meta','-v7.3');