function get_all_X_Y()

root = '/dist_vision_scratch/InstagramFood/meta_with_tagBits_GPS_Deep/';
metaNames = {'Mar2015week3_with_tagBits_gps_deep_meta';...
        'Mar2015week4_with_tagBits_gps_deep_meta';...
        'October2014_with_tagBits_gps_deep_meta';...
        'October2014_week4_with_tagBits_gps_deep_meta';...
        'November2014_week1_with_tagBits_gps_deep_meta';...
        'November2014_week2_with_tagBits_gps_deep_meta';...
        'November2014_week3_with_tagBits_gps_deep_meta';...
        'November2014_week4_with_tagBits_gps_deep_meta';...
        'December_week1_with_tagBits_gps_deep_meta'};
    
load([root, char(metaNames(1)), '.mat']);
X = single(cat(1,meta.deep_X));
allY = cat(1,meta.tagBits);             %Get a numImages x numTags binary matrix indicating the labels.
goodIdx = [meta.goodImg]; %Only those instances that we were able to fetch images for.

for e = 2:numel(metaNames)
    clear meta;
    load([root, char(metaNames(e)), '.mat']);
    partX = single(cat(1,meta.deep_X));
    X = vertcat(X, partX); 
    
    partY = cat(1,meta.tagBits);
    allY = vertcat(allY, partY);
    
    partGood = [meta.goodImg];
    goodIdx = [goodIdx, partGood];
end
goodIdx = goodIdx';

X = squeeze(X);
Xtr = X(1:2:end, :);
Xte = X(2:2:end, :);

save('/dist_vision_scratch/InstagramFood/x_and_y/X.mat', 'X', '-v7.3');
save('/dist_vision_scratch/InstagramFood/x_and_y/Xtr.mat', 'Xtr', '-v7.3');
save('/dist_vision_scratch/InstagramFood/x_and_y/Xte.mat', 'Xte', '-v7.3');

%% Save Y structure array with Y for each hashtag
for hashtag = 1:1000
    field = ['tag_', num2str(hashtag)];
    Y.(field) = double(allY(goodIdx,hashtag)); %Extract the column
end
save('/dist_vision_scratch/InstagramFood/x_and_y/Y.mat', 'Y', '-v7.3');

