function get_meta_cols()

root = '/dist_vision_scratch/InstagramFood/meta_with_tagBits_GPS_Deep/';
metaNames = {'Mar2015week3_with_tagBits_gps_deep_meta';...
        'Mar2015week4_with_tagBits_gps_deep_meta';...
        'October2014_with_tagBits_gps_deep_meta';...
        'October2014_week4_with_tagBits_gps_deep_meta';...
        'November2014_week1_with_tagBits_gps_deep_meta';...
        'November2014_week2_with_tagBits_gps_deep_meta';...
        'November2014_week3_with_tagBits_gps_deep_meta';...
        'November2014_week4_with_tagBits_gps_deep_meta';...
        'December_week1_with_tagBits_gps_deep_meta'};
short_names = {'Mar3', 'Mar4', 'Oct', 'Oct4', 'Nov1', 'Nov2',...
               'Nov3', 'Nov4', 'Dec1'};

for j = 1:numel(metaNames)
    clear meta;
    load([root, char(metaNames(j)), '.mat']);
    for e = 1:length(meta)
        if(meta(e).goodImg == 1)
            vgg_cats.(short_names{j})(e) = meta(e).bestCatID;
            vgg_scores.(short_names{j})(e) = meta(e).bestScore;
            good.(short_names{j})(e) = meta(e).goodImg;
            urls.(short_names{j}){e} = meta(e).url;
            filenames.(short_names{j}){e} = meta(e).filename;
        else
            vgg_cats.(short_names{j})(e) = 0;
            vgg_scores.(short_names{j})(e) = 0;
            good.(short_names{j})(e) = 0;
            urls.(short_names{j}){e} = '';
            filenames.(short_names{j}){e} = '';
        end
    end
end

vgg_catsAll = [vgg_cats.Mar3, vgg_cats.Mar4, vgg_cats.Oct, vgg_cats.Oct4,...
    vgg_cats.Nov1, vgg_cats.Nov2, vgg_cats.Nov3, vgg_cats.Nov4, vgg_cats.Dec1];
vgg_scoresAll = [vgg_scores.Mar3, vgg_scores.Mar4, vgg_scores.Oct, vgg_scores.Oct4,...
    vgg_scores.Nov1, vgg_scores.Nov2, vgg_scores.Nov3, vgg_scores.Nov4, vgg_scores.Dec1];
goodAll = [good.Mar3, good.Mar4, good.Oct, good.Oct4,...
    good.Nov1, good.Nov2, good.Nov3, good.Nov4, good.Dec1];
urlsAll = [urls.Mar3, urls.Mar4, urls.Oct, urls.Oct4,...
    urls.Nov1, urls.Nov2, urls.Nov3, urls.Nov4, urls.Dec1];
filenamesAll = [filenames.Mar3, filenames.Mar4, filenames.Oct, filenames.Oct4,...
    filenames.Nov1, filenames.Nov2, filenames.Nov3, filenames.Nov4, filenames.Dec1];

save('/dist_vision_scratch/InstagramFood/meta_cols/vgg_cats.mat', 'vgg_cats');
save('/dist_vision_scratch/InstagramFood/meta_cols/vgg_catsAll.mat', 'vgg_catsAll');
save('/dist_vision_scratch/InstagramFood/meta_cols/vgg_scores.mat', 'vgg_scores');
save('/dist_vision_scratch/InstagramFood/meta_cols/vgg_scoresAll.mat', 'vgg_scoresAll');
save('/dist_vision_scratch/InstagramFood/meta_cols/good.mat', 'good');
save('/dist_vision_scratch/InstagramFood/meta_cols/goodAll.mat', 'goodAll');
save('/dist_vision_scratch/InstagramFood/meta_cols/urls.mat', 'urls');
save('/dist_vision_scratch/InstagramFood/meta_cols/urlsAll.mat', 'urlsAll');
save('/dist_vision_scratch/InstagramFood/meta_cols/filenames.mat', 'filenames');
save('/dist_vision_scratch/InstagramFood/meta_cols/filenamesAll.mat', 'filenamesAll');
