function get_spatial_metas()

% Create new structure array (spatial_metas, joined_spatial_metas)
% only with the country, continent, bestCatID, and tagBits

root = '/dist_vision_scratch/InstagramFood/meta_with_tagBits_GPS_Deep/';
metaNames = {'Mar2015week3_with_tagBits_gps_deep_meta';...
        'Mar2015week4_with_tagBits_gps_deep_meta';...
        'October2014_with_tagBits_gps_deep_meta';...
        'October2014_week4_with_tagBits_gps_deep_meta';...
        'November2014_week1_with_tagBits_gps_deep_meta';...
        'November2014_week2_with_tagBits_gps_deep_meta';...
        'November2014_week3_with_tagBits_gps_deep_meta';...
        'November2014_week4_with_tagBits_gps_deep_meta';...
        'December_week1_with_tagBits_gps_deep_meta'};
load([root, char(metaNames(1)), '.mat']);
allmetas.Mar3 = meta;
load([root, char(metaNames(2)), '.mat']);
allmetas.Mar4 = meta;
load([root, char(metaNames(3)), '.mat']);
allmetas.Oct = meta;
load([root, char(metaNames(4)), '.mat']);
allmetas.Oct4 = meta;
load([root, char(metaNames(5)), '.mat']);
allmetas.Nov1 = meta;
load([root, char(metaNames(6)), '.mat']);
allmetas.Nov2 = meta;
load([root, char(metaNames(7)), '.mat']);
allmetas.Nov3 = meta;
load([root, char(metaNames(8)), '.mat']);
allmetas.Nov4 = meta;
load([root, char(metaNames(9)), '.mat']);
allmetas.Dec1 = meta;

fields = fieldnames(allmetas);
     
for j = 1:numel(fields)
    for e = 1:length(allmetas.(char(fields(j))))
        spatial_metas_temp.(char(fields(j)))(e).country = char(allmetas.(char(fields(j)))(e).country);
        spatial_metas_temp.(char(fields(j)))(e).continent = char(allmetas.(char(fields(j)))(e).continent);
        spatial_metas_temp.(char(fields(j)))(e).bestCatID = allmetas.(char(fields(j)))(e).bestCatID;
        spatial_metas_temp.(char(fields(j)))(e).tagBits = allmetas.(char(fields(j)))(e).tagBits(1:1000);
    end
    notNA = find(cellfun(@(x)~isequal(x,'NA'),{spatial_metas_temp.(char(fields(j))).continent}));
    notEmpty = find(cellfun(@(x)~isempty(x),{spatial_metas_temp.(char(fields(j))).country}));
    toGetIdx = ismember(notNA, notEmpty);
    toGet = notNA(toGetIdx);
    
    countries = {spatial_metas_temp.(char(fields(j))).country};
    countries = countries(toGet);
    
    continents = {spatial_metas_temp.(char(fields(j))).continent};    
    continents = continents(toGet);
    
    bestCatIDs = {spatial_metas_temp.(char(fields(j))).bestCatID};
    bestCatIDs = bestCatIDs(toGet);

    tagBits = {spatial_metas_temp.(char(fields(j))).tagBits};
    tagBits = tagBits(toGet);
    
    for e = 1:length(countries)
        spatial_metas.(char(fields(j)))(e).country = char(countries{e});
        spatial_metas.(char(fields(j)))(e).continent = char(continents{e});
        spatial_metas.(char(fields(j)))(e).bestCatID = bestCatIDs{e};
        spatial_metas.(char(fields(j)))(e).tagBits = tagBits{e};
    end
end

joined_spatial_metas = [spatial_metas.Mar3, spatial_metas.Mar4, spatial_metas.Oct, spatial_metas.Oct4,...
    spatial_metas.Nov1, spatial_metas.Nov2, spatial_metas.Nov3, spatial_metas.Nov4, spatial_metas.Dec1]';

save('/dist_vision_scratch/InstagramFood/spatial_analysis/spatial_metas.mat', 'spatial_metas', '-v7.3');
save('/dist_vision_scratch/InstagramFood/spatial_analysis/joined_spatial_metas.mat', 'joined_spatial_metas', '-v7.3');
