function get_top_scoring_vgg()
% Visualize the top ten most confident images per class/category 

% Create toView - structure array of the topfoods (VGG) and the top 10
% images from each meta belonging to it (with its url, filename, and score)

load('/dist_vision_scratch/InstagramFood/vgg/classes.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/vgg_catsAll.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/vgg_scoresAll.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/urlsAll.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/filenamesAll.mat');

for e = 1:numel(classes)
    class = char(classes{e});
    class(class == ' ') = [];
    class(class == '-') = [];
    split = strsplit(class, ',');
    classNames(e) = split(1);
end
classNames = classNames';

topfoods = [119, 122, 123, 125, 340, 416, 441, 442, 468, 510, 693,...
            738, 767, 810, 899, 908, 924:958, 960:968, 970]; 

for k = 1:numel(topfoods)
    catIdx = (find(vgg_catsAll==topfoods(k)))'; % the instances of meta that are imagenet classified as this class
    num_cat = numel(catIdx);
    for i = 1:num_cat
        catIdx(i,2) = vgg_scoresAll(catIdx(i,1));
    end
    [sortScores, idx] = sort(catIdx(:,2), 'descend');
    
    if(num_cat < 50)
        total = num_cat;
    else
        total = 50;
    end
        
    % toView contains the urls and filenames of the top 50 scoring images for
    % each food class
    for m = 1:total
        toView.(char(classNames(topfoods(k))))(m).url = urlsAll(catIdx(idx(m)));
        toView.(char(classNames(topfoods(k))))(m).filename = filenamesAll(catIdx(idx(m)));
        toView.(char(classNames(topfoods(k))))(m).bestScore = vgg_scoresAll(catIdx(idx(m)));
    end
end
       
save('localResults/toView.mat', 'toView');
%save('/homes/jrr30/Project/toView.mat', 'toView');


