function get_top_scoring_vgg_distractor()
% Visualize the top ten most confident images per class/category 

% Create toView - structure array of the topfoods (VGG) and the top 10
% images from each meta belonging to it (with its url, filename, and score)

load('/dist_vision_scratch/InstagramFood/vgg/classes.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/vgg_catsAll.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/vgg_scoresAll.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/urlsAll.mat');
load('/dist_vision_scratch/InstagramFood/meta_cols/filenamesAll.mat');

for e = 1:numel(classes)
    class = char(classes{e});
    class(class == ' ') = [];
    class(class == '-') = [];
    split = strsplit(class, ',');
    classNames(e) = split(1);
end
classNames = classNames';

topDist = [917; 923; 416; 471; 763; 1; 922; 552; 585; 721;...
           632; 586; 420; 904; 918; 852];

for k = 1:numel(topDist)
    catIdx = (find(vgg_catsAll==topDist(k)))'; % the instances of meta that are imagenet classified as this class
    num_cat = numel(catIdx);
    for i = 1:num_cat
        catIdx(i,2) = vgg_scoresAll(catIdx(i,1));
    end
    [sortScores, idx] = sort(catIdx(:,2), 'descend');
    
    if(num_cat < 50)
        total = num_cat;
    else
        total = 50;
    end
        
    % toView contains the urls and filenames of the top 50 scoring images for
    % each food class
    for m = 1:total
        toViewDist.(char(classNames(topDist(k))))(m).url = urlsAll(catIdx(idx(m)));
        toViewDist.(char(classNames(topDist(k))))(m).filename = filenamesAll(catIdx(idx(m)));
        toViewDist.(char(classNames(topDist(k))))(m).bestScore = vgg_scoresAll(catIdx(idx(m)));
    end
end
       
save('localResults/toViewDist.mat', 'toViewDist');
save('localResults/toViewDist.mat', 'toViewDist');


