function set_up_classifier(hashtag, Xtr, Xte, Y, resultsFolder)

%Split into train and test.
field = ['tag_', num2str(hashtag)];
Y = Y.(field);
Ytr = Y(1:2:end);
Yte = Y(2:2:end);

%To avoid data balance issues for now, count the same number of true and false instances per instance.
i1 = find(Ytr==1);  %All positive for tag.
i2 = find(Ytr==0); i2 = i2(1:numel(i1)); %Assuming negative for tag is less frequent, get just as many to balance out the # of positives.
Ytr = Ytr([i1;i2]);
Xtr = Xtr([i1;i2],:);

% Column 1 = hashtag number (by tagDict),
% Column 2 = total num of positive imgs in dataset
% Column 3 = total num of positive training imgs
positive_imgs = zeros(1,3);
positive_imgs(1,1) = hashtag;
positive_imgs(1,2) = numel(find(Y==1));
positive_imgs(1,3) = numel(i1);
outFile = ['/dist_vision_scratch/InstagramFood/', resultsFolder, '/num_pos/positive_imgs_',num2str(hashtag),'.mat'];
save(outFile, 'positive_imgs');

run_classifier(hashtag, Xtr, Xte, Ytr, Yte, resultsFolder);
%find_best_c_testacc(Xtr, Xte, Ytr, Yte);
%score = find_best_c_crossval(Xtr, Xte, Ytr, Yte);

