function set_up_classifier_plate_bowl(hashtag, Xtr, Xte, Y, goodAll, plate_bowl, resultsFolder)

%Split into train and test.
field = ['tag_', num2str(hashtag)];
Y = Y.(field);
Ytr = Y(1:2:end);
Yte = Y(2:2:end);

goodIdx = find(goodAll);
plate_good = plate_bowl(goodIdx);

% Find distractor images to exclude from positive train set
%To avoid data balance issues for now, count the same number of true and false instances per instance.
i1 = find(Ytr==1); %Training positive for tag.
i3 = find(Yte==1);
plateGoodTr = plate_good(1:2:end);
plateGoodTe = plate_good(2:2:end);

for e = 1:length(i1)
    if (plateGoodTr(i1(e))==1)
      i1good(e) = i1(e);
    else
      i1good(e) = false;
    end
end

for e = 1:length(i3)
  if (plateGoodTe(e)==1)
      i3good(e) = i3(e);
  else
      i3good(e) = false;
  end
end

i1good = transpose(i1good);
i1good(i1good==false) = [];                
i2 = find(Ytr==0); i2 = i2(1:numel(i1good)); %Assuming negative for tag is less frequent, get just as many to balance out the # of positives.
Ytr = Ytr([i1good;i2]);
Xtr = Xtr([i1good;i2],:);

i3good = transpose(i3good);
i3good(i3good==false) = [];
i4 = find(Yte==0);
Yte = Yte([i3good;i4]);
Xte = Xte([i3good;i4],:);

% Column 1 = hashtag number (by tagDict),
% Column 2 = total num of positive imgs in dataset
% Column 3 = total num of positive training imgs
positive_imgs = zeros(1,3);
positive_imgs(1,1) = hashtag;
positive_imgs(1,2) = numel(find(Y==1));
positive_imgs(1,3) = numel(i1good);
outFile = ['/dist_vision_scratch/InstagramFood/', resultsFolder, '/num_pos/positive_imgs_',num2str(hashtag),'.mat'];
save(outFile, 'positive_imgs');

run_classifier(hashtag, Xtr, Xte, Ytr, Yte, resultsFolder);
%find_best_c_testacc(Xtr, Xte, Ytr, Yte);
%score = find_best_c_crossval(Xtr, Xte, Ytr, Yte);


