function spatialBreakdown()

root = '/dist_vision_scratch/InstagramFood/meta_with_tagBits_GPS/';
metas = {'Mar2015week3_with_tagBits_gps';...
         'Mar2015week4_with_tagBits_gps';...
         'October2014_with_tagBits_gps';...
         'October2014_week4_with_tagBits_gps';...
         'November2014_week1_with_tagBits_gps';...
         'November2014_week2_with_tagBits_gps';...
         'November2014_week3_with_tagBits_gps';...
         'November2014_week4_with_tagBits_gps';...
         'December_week1_with_tagBits_gps'};

[all_countries, all_continent_counts] = spatialBreakdownMeta(root, char(metas(1)));

for f = 2:numel(metas)
    [countries, continent_counts] = spatialBreakdownMeta(root, char(metas(f)));
    all_countries = vertcat(all_countries, countries);
    all_continent_counts = horzcat(all_continent_counts, continent_counts);
end

sum_continents = sum(all_continent_counts,2);
af_count = sum_continents(1);
as_count = sum_continents(2);
au_count = sum_continents(3);
ce_count = sum_continents(4);
eu_count = sum_continents(5);
na_count = sum_continents(6);
sa_count = sum_continents(7);
sum_geo = af_count+as_count+au_count+ce_count+eu_count+na_count+sa_count;

fprintf(1, 'Total geotagged: %d\n', sum_geo);
fprintf(1, 'Africa: %d, Percent: %2.3f\n', af_count, (100*af_count/sum_geo));
fprintf(1, 'Asia: %d, Percent: %2.3f\n', as_count, (100*as_count/sum_geo));
fprintf(1, 'Australia: %d, Percent: %2.3f\n', au_count, (100*au_count/sum_geo));
fprintf(1, 'Central America and the Caribbean: %d, Percent: %2.3f\n', ce_count, (100*ce_count/sum_geo));
fprintf(1, 'Europe: %d, Percent: %2.3f\n', eu_count, (100*eu_count/sum_geo));
fprintf(1, 'North America: %d, Percent: %2.3f\n', na_count, (100*na_count/sum_geo));
fprintf(1, 'South America: %d, Percent: %2.3f\n', sa_count, (100*sa_count/sum_geo));

save('/scratch/InstagramFood/reverse_geocoding/all_countries.mat', 'all_countries', 'all_continent_counts');
save('/homes/jrr30/Project/reverse_geocoding/all_countries.mat', 'all_countries', 'all_continent_counts');


