function spatial_tag_correlation()

%% Get a new tagBits matrix only for the visual tags (visualBitsMatAll)

root = '/scratch/InstagramFood/meta_with_tagBits_GPS_Deep/';
metaNames = {'Mar2015week3_with_tagBits_gps_deep_meta';...
        'Mar2015week4_with_tagBits_gps_deep_meta';...
        'October2014_with_tagBits_gps_deep_meta';...
        'October2014_week4_with_tagBits_gps_deep_meta';...
        'November2014_week1_with_tagBits_gps_deep_meta';...
        'November2014_week2_with_tagBits_gps_deep_meta';...
        'November2014_week3_with_tagBits_gps_deep_meta';...
        'November2014_week4_with_tagBits_gps_deep_meta';...
        'December_week1_with_tagBits_gps_deep_meta'};
load([root, char(metaNames(1)), '.mat']);
allmetas.Mar3 = meta;
load([root, char(metaNames(2)), '.mat']);
allmetas.Mar4 = meta;
load([root, char(metaNames(3)), '.mat']);
allmetas.Oct = meta;
load([root, char(metaNames(4)), '.mat']);
allmetas.Oct4 = meta;
load([root, char(metaNames(5)), '.mat']);
allmetas.Nov1 = meta;
load([root, char(metaNames(6)), '.mat']);
allmetas.Nov2 = meta;
load([root, char(metaNames(7)), '.mat']);
allmetas.Nov3 = meta;
load([root, char(metaNames(8)), '.mat']);
allmetas.Nov4 = meta;
load([root, char(metaNames(9)), '.mat']);
allmetas.Dec1 = meta;

fields = fieldnames(allmetas);

% Choose the tags that are considered visual
tags = [224, 34, 277, 97, 32, 451, 41, 62, 228, 646, 43, 151, 306, ...
    72, 84, 308, 226, 719, 78, 125, 651, 387];
hashtags = sort(tags);

for g = 1:numel(fields)
    for e = 1:length(allmetas.(char(fields(g))))
        visualBitsMat.(char(fields(g)))(e,:) = allmetas.(char(fields(g)))(e).tagBits(hashtags);
        fprintf(1, 'Entry: %d/%d\n', e, length(allmetas.(char(fields(g)))));
        if(mod(e, 10000) == 0)
            save('/scratch/InstagramFood/spatial_analysis/visualBitsMat.mat', 'visualBitsMat');
        end
    end
    save('/scratch/InstagramFood/spatial_analysis/visualBitsMat.mat', 'visualBitsMat');
end

visualBitsMatAll = vertcat(visualBitsMat.Mar3, visualBitsMat.Mar4, visualBitsMat.Oct, visualBitsMat.Oct4,...
    visualBitsMat.Nov1, visualBitsMat.Nov2, visualBitsMat.Nov3, visualBitsMat.Nov4, visualBitsMat.Dec1);

save('/scratch/InstagramFood/spatial_analysis/visualBitsMatAll.mat', 'visualBitsMatAll');
save('/homes/jrr30/Project/visualBitsMatAll.mat', 'visualBitsMatAll');

%% Get a new tagBits matrix only for the visual tags - for each continent

tags = [224, 34, 277, 97, 32, 451, 41, 62, 228, 646, 43, 151, 306, ...
    72, 84, 308, 226, 719, 78, 125, 651, 387];
hashtags = sort(tags);

load('/scratch/InstagramFood/spatial_analysis/joined_spatial_metas.mat');

for e = 1:length(joined_spatial_metas)
    visualBitsMat_spatialAll(e,:) = joined_spatial_metas(e).tagBits(hashtags);
    fprintf(1, 'Entry: %d/%d\n', e, length(joined_spatial_metas));
end
save('/scratch/InstagramFood/spatial_analysis/visualBitsMat_spatialAll.mat', 'visualBitsMat_spatialAll');

load('/scratch/InstagramFood/spatial_analysis/idx.mat');

fields = {'as', 'af', 'au', 'eu', 'na', 'sa'};
continents = {'Asia', 'Africa','Australia','Europe','North America','South America and the Caribbean'};

for g = 1:numel(fields)
    for e = 1:length(idx.(char(fields(g))))
        visualBitsMat_spatial.(char(fields(g)))(e,:) = visualBitsMat_spatialAll(idx.(char(fields(g)))(e),:);
    end
end
save('/scratch/InstagramFood/spatial_analysis/visualBitsMat_spatial.mat', 'visualBitsMat_spatial');

