function  vgg_classes_histogram()
% Makes the histogram for the classes in the vgg classification
% Also prints the top 100 most frequent classes

load('localResults/classes.mat');
load('localResults/vgg_catsAll.mat');

figure;
histogram(vgg_catsAll, 1000), title('Class Frequencies'),
    xlabel('ImageNet Class ID'), ylabel('Frequency'),  % Histogram of the categories/classes

histCounts = histcounts(vgg_catsAll, 1000); % The frequency of each category/class by category number
[histCountsSorted, histCountsIdx] = sort(histCounts, 'descend');

% Prints the categories : their frequency : category name : category ID
for t = 1:1000
    fprintf(1, '%d : %d : %s : %d\n', t, histCountsSorted(t), char(classes(histCountsIdx(t))), histCountsIdx(t));
end
