visualize_top_scoring_vgg
% Visualize the top ten most confident images per class/category 

load('classes.mat');
load('toView.mat');

for e = 1:numel(classes)
    class = char(classes{e});
    class(class == ' ') = [];
    class(class == '-') = [];
    split = strsplit(class, ',');
    classNames(e) = split(1);
end
classNames = classNames';

topfoods = [119, 122, 123, 125, 340, 416, 441, 442, 468, 510, 693,...
            738, 767, 810, 899, 908, 924:958, 960:968, 970]; 

% Run for the first time with the catch commented to determine which images
% need to be transferred and read locally - after uncomment the catch and
% run again
for k = 1:numel(topfoods)
    plotTitle = horzcat('Most Confident Images - ',char(classNames(topfoods(k))));
    figure; suptitle(plotTitle);
    for j = 1:20
        if (~isempty(char(toView.(char(classNames(topfoods(k))))(j).url)))
            try
                subplot(4,5,j),subimage(imread(char(toView.(char(classNames(topfoods(k))))(j).url)));
            %%{
            catch
                file = char(toView.(char(classNames(topfoods(k)))){j,3});
                split = strsplit(char(toView.(char(classNames(topfoods(k)))){j,3}), '/');
                localFile = ['/Users/Jackie/Dropbox/QMUL_Final_Project/images/', char(split(end))];
                subplot(4,5,j),subimage(imread(localFile));
            %}
            end
        end
    end
end

%% Check an individual image
A =(imread(char(toView.(char(classNames(topfoods(k))))(j).url)));
figure;
image(A)

