visualize_top_scoring_vgg_distractor
% Visualize the top ten most confident images per class/category 

load('classes.mat');
load('toViewDist.mat');

for e = 1:numel(classes)
    class = char(classes{e});
    class(class == ' ') = [];
    class(class == '-') = [];
    split = strsplit(class, ',');
    classNames(e) = split(1);
end
classNames = classNames';

topDist = [917; 923; 416; 471; 763; 1; 922; 552; 585; 721;...
           632; 586; 420; 904; 918; 852];

% Run for the first time with the catch commented to determine which images
% need to be transferred and read locally - after uncomment the catch and
% run again
for k = 1:numel(topDist)
    plotTitle = horzcat('Most Confident Images - ',char(classNames(topDist(k))));
    figure; suptitle(plotTitle);
    for j = 1:20
        if (~isempty(char(toViewDist.(char(classNames(topDist(k))))(j).url)))
            try
                subplot(4,5,j),subimage(imread(char(toViewDist.(char(classNames(topDist(k))))(j).url)));
            %%{
            catch
                file = char(toViewDist.(char(classNames(topDist(k)))){j,3});
                split = strsplit(char(toViewDist.(char(classNames(topDist(k)))){j,3}), '/');
                localFile = ['/Users/Jackie/Dropbox/QMUL_Final_Project/images/', char(split(end))];
                subplot(4,5,j),subimage(imread(localFile));
            %}
            end
        end
    end
end

%% Check an individual image
A =(imread(char(toViewDist.(char(classNames(topDist(k))))(j).url)));
figure;
image(A)

